picocli

## Interface CommandLine.Help.IParameterRenderer

Enclosing class:
  CommandLine.Help

    public static interface CommandLine.Help.IParameterRenderer

When customizing online help for `Parameters` details, a custom `IParameterRenderer` can be used to create textual representation of a Parameters field in a tabular format: one or more rows, each containing one or more columns. The `Layout` is responsible for placing these text values in the `TextTable`.

### Method Summary

Methods
`CommandLine.Help.Ansi.Text[][]` `render(CommandLine.Parameters parameters, java.lang.reflect.Field field, CommandLine.Help.IParamLabelRenderer parameterLabelRenderer, CommandLine.Help.ColorScheme scheme)` Returns a text representation of the specified Parameters and the Field that captures the parameter values.

### Method Detail

#### render

    CommandLine.Help.Ansi.Text[][] render(CommandLine.Parameters parameters,
                                        java.lang.reflect.Field field,
                                        CommandLine.Help.IParamLabelRenderer parameterLabelRenderer,
                                        CommandLine.Help.ColorScheme scheme)

Returns a text representation of the specified Parameters and the Field that captures the parameter values.

Parameters:
  `parameters` - the command line parameters to show online usage help for
  `field` - the field that will hold the value for the command line parameters
  `parameterLabelRenderer` - responsible for rendering parameter labels to text
  `scheme` - color scheme for applying ansi color styles to positional parameters
Returns:
  a 2-dimensional array of text values: one or more rows, each containing one or more columns